Bug 989956 - [abrt] mysql-workbench-5.2.47-2.fc18: __cxxabiv1::__dynamic_cast: Process /usr/libexec/mysql-workbench-bin was killed by signal 11 (SIGSEGV)
[abrt] mysql-workbench-5.2.47-2.fc18: __cxxabiv1::__dynamic_cast: Process /us...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mysql-workbench (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
abrt_hash:b590583c3f70db0cbdaed71971f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-30 04:15 EDT by Jad Kik
Modified: 2014-02-05 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:12:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (51.41 KB, text/plain)
2013-07-30 04:15 EDT, Jad Kik
no flags Details
File: cgroup (129 bytes, text/plain)
2013-07-30 04:15 EDT, Jad Kik
no flags Details
File: core_backtrace (5.34 KB, text/plain)
2013-07-30 04:15 EDT, Jad Kik
no flags Details
File: dso_list (17.59 KB, text/plain)
2013-07-30 04:15 EDT, Jad Kik
no flags Details
File: environ (1.58 KB, text/plain)
2013-07-30 04:15 EDT, Jad Kik
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-30 04:15 EDT, Jad Kik
no flags Details
File: maps (83.57 KB, text/plain)
2013-07-30 04:15 EDT, Jad Kik
no flags Details
File: open_fds (1.02 KB, text/plain)
2013-07-30 04:15 EDT, Jad Kik
no flags Details
File: proc_pid_status (949 bytes, text/plain)
2013-07-30 04:15 EDT, Jad Kik
no flags Details
File: var_log_messages (497 bytes, text/plain)
2013-07-30 04:15 EDT, Jad Kik
no flags Details
File: xsession_errors (2.45 KB, text/plain)
2013-07-30 04:16 EDT, Jad Kik
no flags Details

  None (edit)
Description Jad Kik 2013-07-30 04:15:18 EDT
Description of problem:
Open model diagram
Set relationship notation to classic
Zoom in from the sidebar to the left
Crash

Version-Release number of selected component:
mysql-workbench-5.2.47-2.fc18

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/libexec/mysql-workbench-bin '/home/elmjad/Desktop/updated db.mwb'
crash_function: __cxxabiv1::__dynamic_cast
executable:     /usr/libexec/mysql-workbench-bin
kernel:         3.9.11-200.fc18.x86_64
runlevel:       N 5
uid:            1003

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __cxxabiv1::__dynamic_cast at ../../../../libstdc++-v3/libsupc++/dyncast.cc:57
 #1 mdc::CanvasItem::is_toplevel at mdc_canvas_item.cpp:612
 #2 mdc::CanvasItem::set_needs_render at mdc_canvas_item.cpp:545
 #3 operator() at /usr/include/boost/function/function_template.hpp:760
 #4 m_invoke at /usr/include/boost/signals2/detail/signal_template.hpp:363
 #5 operator() at /usr/include/boost/signals2/detail/signal_template.hpp:345
 #6 dereference at /usr/include/boost/signals2/detail/slot_call_iterator.hpp:82
 #7 dereference<boost::signals2::detail::slot_call_iterator_t<boost::signals2::detail::signal0_impl<void, boost::signals2::optional_last_value<void>, int, std::less<int>, boost::function<void()>, boost::function<void(const boost::signals2::connection&)>, boost::signals2::mutex>::slot_invoker, std::_List_iterator<boost::shared_ptr<boost::signals2::detail::connection_body<std::pair<boost::signals2::detail::slot_meta_group, boost::optional<int> >, boost::signals2::slot0<void, boost::function<void()> >, boost::signals2::mutex> > >, boost::signals2::detail::connection_body<std::pair<boost::signals2::detail::slot_meta_group, boost::optional<int> >, boost::signals2::slot0<void, boost::function<void()> >, boost::signals2::mutex> > > at /usr/include/boost/iterator/iterator_facade.hpp:514
 #8 operator* at /usr/include/boost/iterator/iterator_facade.hpp:639
 #9 operator()<boost::signals2::detail::slot_call_iterator_t<boost::signals2::detail::signal0_impl<void, boost::signals2::optional_last_value<void>, int, std::less<int>, boost::function<void()>, boost::function<void(const boost::signals2::connection&)>, boost::signals2::mutex>::slot_invoker, std::_List_iterator<boost::shared_ptr<boost::signals2::detail::connection_body<std::pair<boost::signals2::detail::slot_meta_group, boost::optional<int> >, boost::signals2::slot0<void, boost::function<void()> >, boost::signals2::mutex> > >, boost::signals2::detail::connection_body<std::pair<boost::signals2::detail::slot_meta_group, boost::optional<int> >, boost::signals2::slot0<void, boost::function<void()> >, boost::signals2::mutex> > > at /usr/include/boost/signals2/optional_last_value.hpp:55

Potential duplicate: bug 766239
Comment 1 Jad Kik 2013-07-30 04:15:23 EDT
Created attachment 780418 [details]
File: backtrace
Comment 2 Jad Kik 2013-07-30 04:15:26 EDT
Created attachment 780419 [details]
File: cgroup
Comment 3 Jad Kik 2013-07-30 04:15:29 EDT
Created attachment 780420 [details]
File: core_backtrace
Comment 4 Jad Kik 2013-07-30 04:15:33 EDT
Created attachment 780421 [details]
File: dso_list
Comment 5 Jad Kik 2013-07-30 04:15:36 EDT
Created attachment 780422 [details]
File: environ
Comment 6 Jad Kik 2013-07-30 04:15:40 EDT
Created attachment 780423 [details]
File: limits
Comment 7 Jad Kik 2013-07-30 04:15:44 EDT
Created attachment 780425 [details]
File: maps
Comment 8 Jad Kik 2013-07-30 04:15:47 EDT
Created attachment 780426 [details]
File: open_fds
Comment 9 Jad Kik 2013-07-30 04:15:50 EDT
Created attachment 780427 [details]
File: proc_pid_status
Comment 10 Jad Kik 2013-07-30 04:15:54 EDT
Created attachment 780428 [details]
File: var_log_messages
Comment 11 Jad Kik 2013-07-30 04:16:00 EDT
Created attachment 780429 [details]
File: xsession_errors
Comment 12 Fedora End Of Life 2013-12-21 09:24:42 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2014-02-05 17:12:41 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.